Bug 1028321 - cdc_ncm network driver fails after dock firmware possibly got upgraded [NEEDINFO]
cdc_ncm network driver fails after dock firmware possibly got upgraded
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 03:27 EST by birger
Modified: 2014-03-17 14:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 14:43:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description birger 2013-11-08 03:27:05 EST
Description of problem:
After a windows PC connected to this dock had its "Lenovo USB 3.0 dock" drivers updated the dock ethernet does not work with linux anymore.

Version-Release number of selected component (if applicable):
kernel 3.11.7-300.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
No wired ethernet enabled. Error messages from constant connect/disconnect in messages.

Expected results:


Additional info:
=== this keeps repeating in dmesg output
[ 1531.824856] cdc_ncm: enp0s20u2u4u1i5: 100 mbit/s downlink 100 mbit/s uplink
[ 1531.825846] cdc_ncm: enp0s20u2u4u1i5: network connection: connected
[ 1532.576563] cdc_ncm: enp0s20u2u4u1i5: network connection: disconnected


=== in /var/log/messages when disconnecting the ethernet cable:
Nov  8 09:24:24 sch-lf-00047 dbus-daemon: dbus[450]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Nov  8 09:24:24 sch-lf-00047 dbus[450]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Nov  8 09:24:24 sch-lf-00047 dbus[450]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Nov  8 09:24:24 sch-lf-00047 dbus-daemon: dbus[450]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.


=== in /var/log/messages when resconnecting the ethernet cable:
Nov  8 09:24:50 sch-lf-00047 kernel: [ 2550.385392] cdc_ncm: enp0s20u2u4u1i5: 100 mbit/s downlink 100 mbit/s uplink
Nov  8 09:24:50 sch-lf-00047 kernel: [ 2550.386349] cdc_ncm: enp0s20u2u4u1i5: network connection: connected
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> (enp0s20u2u4u1i5): link connected
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> (enp0s20u2u4u1i5): device state change: unavailable -> disconnected (reason 'carrier-changed') [20 30 40]
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Auto-activating connection 'enp0s20u2u4u1i5'.
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Activation (enp0s20u2u4u1i5) starting connection 'enp0s20u2u4u1i5'
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> (enp0s20u2u4u1i5): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Activation (enp0s20u2u4u1i5) Stage 1 of 5 (Device Prepare) scheduled...
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Activation (enp0s20u2u4u1i5) Stage 1 of 5 (Device Prepare) started...
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Activation (enp0s20u2u4u1i5) Stage 2 of 5 (Device Configure) scheduled...
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Activation (enp0s20u2u4u1i5) Stage 1 of 5 (Device Prepare) complete.
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Activation (enp0s20u2u4u1i5) Stage 2 of 5 (Device Configure) starting...
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> (enp0s20u2u4u1i5): device state change: prepare -> config (reason 'none') [40 50 0]
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Activation (enp0s20u2u4u1i5) Stage 2 of 5 (Device Configure) successful.
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Activation (enp0s20u2u4u1i5) Stage 2 of 5 (Device Configure) complete.
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Activation (enp0s20u2u4u1i5) Stage 3 of 5 (IP Configure Start) scheduled.
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Activation (enp0s20u2u4u1i5) Stage 3 of 5 (IP Configure Start) started...
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> (enp0s20u2u4u1i5): device state change: config -> ip-config (reason 'none') [50 70 0]
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Activation (enp0s20u2u4u1i5) Beginning DHCPv4 transaction (timeout in 45 seconds)
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> dhclient started with pid 12483
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> Activation (enp0s20u2u4u1i5) Stage 3 of 5 (IP Configure Start) complete.
Nov  8 09:24:50 sch-lf-00047 dhclient[12483]: Internet Systems Consortium DHCP Client 4.2.5
Nov  8 09:24:50 sch-lf-00047 dhclient[12483]: Copyright 2004-2013 Internet Systems Consortium.
Nov  8 09:24:50 sch-lf-00047 dhclient[12483]: All rights reserved.
Nov  8 09:24:50 sch-lf-00047 dhclient[12483]: For info, please visit https://www.isc.org/software/dhcp/
Nov  8 09:24:50 sch-lf-00047 dhclient[12483]: 
Nov  8 09:24:50 sch-lf-00047 NetworkManager: Internet Systems Consortium DHCP Client 4.2.5
Nov  8 09:24:50 sch-lf-00047 NetworkManager: Copyright 2004-2013 Internet Systems Consortium.
Nov  8 09:24:50 sch-lf-00047 NetworkManager: All rights reserved.
Nov  8 09:24:50 sch-lf-00047 NetworkManager: For info, please visit https://www.isc.org/software/dhcp/
Nov  8 09:24:50 sch-lf-00047 NetworkManager[584]: <info> (enp0s20u2u4u1i5): DHCPv4 state changed nbi -> preinit
Nov  8 09:24:50 sch-lf-00047 dhclient[12483]: Listening on LPF/enp0s20u2u4u1i5/00:50:b6:5c:e2:2b
Nov  8 09:24:50 sch-lf-00047 dhclient[12483]: Sending on   LPF/enp0s20u2u4u1i5/00:50:b6:5c:e2:2b
Nov  8 09:24:50 sch-lf-00047 dhclient[12483]: Sending on   Socket/fallback
Nov  8 09:24:50 sch-lf-00047 dhclient[12483]: DHCPREQUEST on enp0s20u2u4u1i5 to 255.255.255.255 port 67 (xid=0x40021858)
Nov  8 09:24:50 sch-lf-00047 NetworkManager: Listening on LPF/enp0s20u2u4u1i5/00:50:b6:5c:e2:2b
Nov  8 09:24:50 sch-lf-00047 NetworkManager: Sending on   LPF/enp0s20u2u4u1i5/00:50:b6:5c:e2:2b
Nov  8 09:24:50 sch-lf-00047 NetworkManager: Sending on   Socket/fallback
Nov  8 09:24:50 sch-lf-00047 NetworkManager: DHCPREQUEST on enp0s20u2u4u1i5 to 255.255.255.255 port 67 (xid=0x40021858)
Comment 1 Justin M. Forbes 2014-02-24 09:00:33 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Justin M. Forbes 2014-03-17 14:43:53 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.